MotifDetection

motif

## Class MotifDetection

- java.lang.Object
- - motif.MotifDetection

-     public class MotifDetection
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `ALLOWED_INTERVAL_VARIATION`
    `private java.util.HashMap<MotifType,java.util.ArrayList<IMotif>>` | `detectedMotifs`
    `private static int` | `MAX_MOTIF_EXTENSION`
    `private static int` | `MAX_MOTIF_LENGTH`
    `private static int` | `MIN_MOTIF_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MotifDetection(int minL, int maxL, int intervalVariation, int maxMotifExtension)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.HashMap<MotifType,java.util.ArrayList<IMotif>>` | `detect(IPhrase iPhrase)`
    `private java.util.HashMap<java.lang.Double[],java.lang.Integer>` | `getPotentialBaseMotifs(IPhrase iPhrase)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MIN_MOTIF_LENGTH

          private static int MIN_MOTIF_LENGTH

    - #### MAX_MOTIF_LENGTH

          private static int MAX_MOTIF_LENGTH

    - #### ALLOWED_INTERVAL_VARIATION

          private static int ALLOWED_INTERVAL_VARIATION

    - #### MAX_MOTIF_EXTENSION

          private static int MAX_MOTIF_EXTENSION

    - #### detectedMotifs

          private java.util.HashMap<MotifType,java.util.ArrayList<IMotif>> detectedMotifs

  - ### Constructor Detail

    - #### MotifDetection

          public MotifDetection(int minL,
                        int maxL,
                        int intervalVariation,
                        int maxMotifExtension)

  - ### Method Detail

    - #### detect

          public java.util.HashMap<MotifType,java.util.ArrayList<IMotif>> detect(IPhrase iPhrase)

    - #### getPotentialBaseMotifs

          private java.util.HashMap<java.lang.Double[],java.lang.Integer> getPotentialBaseMotifs(IPhrase iPhrase)